import React, { FunctionComponent } from 'react';
declare type ModalProps = {
    isOpen?: boolean;
    onClose?: () => void;
};
export declare const ModalHeader: FunctionComponent<React.HTMLProps<HTMLDivElement> & Omit<ModalProps, 'isOpen'>>;
export declare const ModalBody: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ModalActions: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const Modal: FunctionComponent<React.HTMLProps<HTMLDivElement> & ModalProps>;
export default Modal;
